Subject: Re: [PATCH 04/11] pack-bitmap: drop filter in prepare_bitmap_walk()

From: Junio C Hamano <[email-masked]>
Date: Fri, 04 Mar 2022 14:26:42 -0800

"Derrick Stolee via GitGitGadget" <[email-masked]> writes:

> From: Derrick Stolee <[email-masked]>
>
> Now that all consumers of prepare_bitmap_walk() have populated the
> 'filter' member of 'struct rev_info', we can drop that extra parameter
> from the method and access it directly from the 'struct rev_info'.

This step is a logical consequence from the previous few steps.
Very pleasing.